=== debian/changelog ===
audiotools (3.1.1-1.1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:13:15 +0000

audiotools (3.1.1-1.1ubuntu1) plucky; urgency=medium

  * Port from distutils to setuptools.
  * Provide a simple definition for the total_frame_sizes function.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 21:31:53 -0500

audiotools (3.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for libcdio-paranoia 0.9x: Disable broken libcdio_paranoia configure
    check, update paranoia includes.
  * Make the build reproducible (Chris Lamb). Closes: #833396.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 07:38:55 +0100

audiotools (3.1.1-1) unstable; urgency=medium

  * Upstream release renames executables to avoid conflict with cdtool package.
   (Closes: #803229)
  * Add python3-urwid to Recommends. (Closes: #803230)

 -- Eric Shattow <lucent@gmail.com>  Sat, 31 Oct 2015 21:53:51 -0700

audiotools (3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #550216)

 -- Eric Shattow <lucent@gmail.com>  Tue, 20 Oct 2015 12:51:27 -0700
