=== debian/control ===
Source: audiotools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Shattow <lucent@gmail.com>
Section: sound
Priority: optional
Standards-Version: 4.1.1
Homepage: http://audiotools.sourceforge.net/
Build-Depends:
 debhelper (>= 9),
 dh-python,
 lame,
 libasound2-dev,
 libcdio-paranoia-dev (>= 0.94),
 libmp3lame-dev,
 libmpg123-dev,
 libopusfile-dev,
 libpulse-dev,
 libtwolame-dev,
 libvorbis-dev,
 libwavpack-dev,
 python3-all-dev,
 python3-setuptools
X-Python-Version: >= 3.3

Package: audiotools
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: faad, python3-urwid
Suggests: faac
Description: Collection of audio handling programs for the command line
 These include programs for CD extraction, track conversion from one
 audio format to another, track renaming and retagging, track
 identification, CD burning from tracks, and more. Supports
 internationalized track filenames and metadata using Unicode. Works
 with high-definition, multi-channel audio as well as CD-quality.
 Track conversion uses multiple CPUs or CPU cores if available to
 greatly speed the transcoding process. Track metadata can be
 retrieved from FreeDB, MusicBrainz or compatible servers.
